Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.gzip
Class GzipFileSystem

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractVfsComponent
          org.apache.commons.vfs.provider.AbstractFileSystem
              org.apache.commons.vfs.provider.compressed.CompressedFileFileSystem
                  org.apache.commons.vfs.provider.gzip.GzipFileSystem

All Implemented Interfaces:
  FileSystem, VfsComponent

public class GzipFileSystem
extends CompressedFileFileSystem

Filesytem to handle compressed files using the gzip method

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Mario Ivankovits

Constructor Summary
`protected` | `GzipFileSystem(FileName rootName, FileObject parentLayer, FileSystemOptions fileSystemOptions)`

Method Summary
`protected void` | `addCapabilities(Collection caps)` Returns the capabilities of this file system.
`protected FileObject` | `createFile(FileName name)` Creates a file object.

Methods inherited from class org.apache.commons.vfs.provider.compressed.CompressedFileFileSystem
`init`

Methods inherited from class org.apache.commons.vfs.provider.AbstractFileSystem
`addJunction, addListener, close, closeCommunicationLink, decorateFileObject, doCloseCommunicationLink, doReplicateFile, fireFileChanged, fireFileCreated, fireFileDeleted, getAttribute, getFileFromCache, getFileSystemManager, getFileSystemOptions, getLastModTimeAccuracy, getParentLayer, getRoot, getRootName, hasCapability, isOpen, isReleaseable, notifyAllStreamsClosed, putFileToCache, removeFileFromCache, removeJunction, removeListener, replicateFile, resolveFile, resolveFile, setAttribute`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsComponent
`getContext, getLogger, setContext, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.vfs.FileSystem
`addJunction, addListener, getAttribute, getFileSystemManager, getFileSystemOptions, getLastModTimeAccuracy, getParentLayer, getRoot, getRootName, hasCapability, removeJunction, removeListener, replicateFile, resolveFile, resolveFile, setAttribute`

Constructor Detail

### GzipFileSystem

    protected GzipFileSystem(FileName rootName,
                             FileObject parentLayer,
                             FileSystemOptions fileSystemOptions)
                      throws FileSystemException

Method Detail

### createFile

    protected FileObject createFile(FileName name)
                             throws FileSystemException

  Description copied from class: `CompressedFileFileSystem`
  Creates a file object.

  Specified by:
    `createFile` in class `CompressedFileFileSystem`
  Throws:
    `FileSystemException`

### addCapabilities

    protected void addCapabilities(Collection caps)

  Description copied from class: `CompressedFileFileSystem`
  Returns the capabilities of this file system.

  Specified by:
    `addCapabilities` in class `CompressedFileFileSystem`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.